Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605755 - [patch] rescue --nomount exits the installer right away if no %post scripts
[patch] rescue --nomount exits the installer right away if no %post scripts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On: 605754
Blocks: 582286
  Show dependency treegraph
 
Reported: 2010-06-18 13:34 EDT by Alexander Todorov
Modified: 2010-11-10 14:48 EST (History)
0 users

See Also:
Fixed In Version: anaconda-13.21.53-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 605754
Environment:
Last Closed: 2010-11-10 14:48:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-06-18 13:34:01 EDT
+++ This bug was initially created as a clone of Bug #605754 +++

Created an attachment (id=425198)
patch generated by git format-patch

Description of problem:
When running the installer in rescue mode with rescue --nomount and tehre are no %post scripts in the kickstart file the installer will not start a shell but exit. 

A patch is attached which will execute the scripts if they are present otherwise run interactive shell. 

DISCLAIMER: this is not tested at all but should work.

Version-Release number of selected component (if applicable):
git.

How reproducible:
always

Steps to Reproduce:
1. Run with a ks.cfg which has only the line:
rescue --nomount
2.
3.
  
Actual results:
stage2 starts and exits.

Expected results:
Start a shell if no %post scripts are present.

Additional info:
Comment 1 RHEL Product and Program Management 2010-06-18 13:43:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Chris Lumens 2010-06-21 10:16:32 EDT
Thanks for the patch.  Pushed.
Comment 4 Alexander Todorov 2010-07-05 05:08:29 EDT
With anaconda-13.21.56 and "rescue --nomount" an interactive shell is started when there's no %post script. Moving to VERIFIED.
Comment 5 releng-rhel@redhat.com 2010-11-10 14:48:36 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.